Index: /src/map/skill.c
===================================================================
--- /src/map/skill.c (revision 13)
+++ /src/map/skill.c (revision 19)
@@ -7485,5 +8120,5 @@
 				break;
 				default:
-					skill_attack(skill_get_type(sg->skill_id),ss,&src->bl,bl,sg->skill_id,sg->skill_lv,tick,0);			
+					skill_attack(skill_get_type(sg->skill_id),ss,&src->bl,bl,sg->skill_id,sg->skill_lv,tick,0);
 			}
 			break;
@@ -7509,5 +8144,5 @@
 				if (status_change_start(bl,type,10000,sg->skill_lv,sg->group_id,0,0,sec, 8))
 				{
-					struct TimerData* td = tsc->data[type]?get_timer(tsc->data[type]->timer):NULL; 
+					struct TimerData* td = tsc->data[type]?get_timer(tsc->data[type]->timer):NULL;
 					if (td) sec = DIFF_TICK(td->tick, tick);
 					map_moveblock(bl, src->bl.x, src->bl.y, tick);
@@ -7580,5 +8215,5 @@
 			clif_skill_nodamage(&src->bl, bl, AL_HEAL, heal, 1);
 			status_heal(bl, heal, 0, 0);
-			break;	
+			break;
 		}
 
@@ -7755,5 +8390,5 @@
 			status_change_end(bl,type,-1);
 		break;
-		
+
 	case UNT_SPIDERWEB:
 		{
@@ -7783,5 +8418,5 @@
 	if (sc && !sc->count)
 		sc = NULL;
-	
+
 	type = status_skill2sc(skill_id);
 	sce = (sc && type != -1)?sc->data[type]:NULL;
@@ -7800,5 +8435,5 @@
 		case BD_ETERNALCHAOS:
 		case BD_DRUMBATTLEFIELD:
-		case BD_RINGNIBELUNGEN:	
+		case BD_RINGNIBELUNGEN:
 		case BD_ROKISWEIL:
 		case BD_INTOABYSS:
@@ -7809,5 +8444,5 @@
 				//FIXME: This code is not perfect, it doesn't checks for the real ensemble's owner,
 				//it only checks if you are doing the same ensemble. So if there's two chars doing an ensemble
-				//which overlaps, by stepping outside of the other parther's ensemble will cause you to cancel 
+				//which overlaps, by stepping outside of the other parther's ensemble will cause you to cancel
 				//your own. Let's pray that scenario is pretty unlikely and noone will complain too much about it.
 				skill_stop_dancing(bl);
@@ -7824,5 +8459,5 @@
 				status_change_end(bl, type, -1);
 			break;
-			
+
 		case BA_POEMBRAGI:
 		case BA_WHISTLE:
@@ -7831,5 +8466,5 @@
 		case DC_HUMMING:
 		case DC_DONTFORGETME:
-		case DC_FORTUNEKISS:	
+		case DC_FORTUNEKISS:
 		case DC_SERVICEFORYOU:
 			if (sce)
@@ -7881,5 +8516,5 @@
 
 	nullpo_retr(0, group);
-  	
+
 	dissonance = skill_dance_switch(unit, 0);
 
@@ -7966,5 +8601,5 @@
 	if ((skillid != PR_BENEDICTIO && *c >=1) || *c >=2)
 		return 0; //Partner found for ensembles, or the two companions for Benedictio. [Skotlex]
-	
+
 	if (bl == src)
 		return 0;
@@ -7975,5 +8610,5 @@
 	if (tsd->sc.data[SC_SILENCE] || tsd->sc.opt1)
 		return 0;
-	
+
 	switch(skillid)
 	{
@@ -8060,5 +8695,5 @@
 
 /*==========================================
- * 
+ *
  *------------------------------------------*/
 static int skill_check_condition_mob_master_sub (struct block_list *bl, va_list ap)
@@ -8083,5 +8718,5 @@
 
 /*==========================================
- * Determines if a given skill should be made to consume ammo 
+ * Determines if a given skill should be made to consume ammo
  * when used by the player. [Skotlex]
  *------------------------------------------*/
@@ -8122,5 +8757,5 @@
 		sd->skillitem = sd->skillitemlv = 0;
 		//Need to do arrow state check.
-		sd->state.arrow_atk = skill_get_ammotype(skill)?1:0; 
+		sd->state.arrow_atk = skill_get_ammotype(skill)?1:0;
 		//Need to do Spiritball check.
 		sd->spiritball_old = sd->spiritball;
@@ -8132,5 +8767,5 @@
 	if (!sc->count)
 		sc = NULL;
-	
+
 	if(pc_is90overweight(sd)) {
 		clif_skill_fail(sd,skill,9,0);
@@ -8156,5 +8791,5 @@
 	if (sd->menuskill_id == AM_PHARMACY &&
 		(skill == AM_PHARMACY || skill == AC_MAKINGARROW || skill == BS_REPAIRWEAPON ||
-		skill == AM_TWILIGHT1 || skill == AM_TWILIGHT2  || skill == AM_TWILIGHT3 
+		skill == AM_TWILIGHT1 || skill == AM_TWILIGHT2  || skill == AM_TWILIGHT3
 	)) {
 		sd->skillitem = sd->skillitemlv = 0;
@@ -8314,5 +8949,5 @@
 		}
 		break;
-	case MO_FINGEROFFENSIVE:				//æEŒŸ
+	case MO_FINGEROFFENSIVE:				//æåŒŸ
 	case GS_FLING:
 		if (sd->spiritball > 0 && sd->spiritball < spiritball) {
@@ -8380,5 +9015,5 @@
 		}
 		break;
-		
+
 	case TK_READYCOUNTER:
 	case TK_READYDOWN:
@@ -8408,8 +9043,8 @@
 				status_change_end(&sd->bl, SC_COMBO, -1);
 				sd->skillid_old = sd->skilllv_old = 0;
-				return 0; //Can't repeat previous combo skill.				
+				return 0; //Can't repeat previous combo skill.
 			}
 			break;
-		} else 
+		} else
 		if(sc->data[SC_COMBO]->val1 == skill)
 			break; //Combo ready.
@@ -8470,4 +9105,54 @@
 		}
 		break;
+<<<<<<< .mine
+	case AD_FAMILIAR: //Adept Familiar [Flavio]
+	{
+		short familiar[1] ={ pc_readglobalreg(sd, "ADEPT_FAMILIAR") };
+		int maxcount = skill_get_maxcount(skill,lv);
+		int count = 0;
+		count = mob_countslave_class(&sd->bl, 1, familiar );
+		if( count >= maxcount )
+		{
+		clif_skill_fail(sd,skill,0,0);
+		return 0;
+		}
+	}
+	break;
+	case NC_SKELETON: // Raise Skeleton [Brain]
+	case NC_ARCHER: // Raise Archer Skeleton
+	case NC_ZOMBIE: // Raise Zombie
+	case NC_MUMMY: // Raise Mummy
+	case NC_GHOST: // Raise Ghost
+	case NC_SHADOW: // Raise Shadow
+	case NC_WRAITH: // Raise Wraith
+	{// corrigido o limite de spawns [Flavio]
+		short summon1[5]={ 3201, 3202, 3203, 3204, 3205 }; // Skeleton, Orc Skeleton, Soldier Skeleton, Pirate Skeleton, Skeleton General
+		short summon2[5]={ 3206, 3207, 3208, 3209, 3210 }; // Archer Skeleton, Firelock Soldier
+		short summon3[5]={ 3211, 3212, 3213, 3214, 3215 }; // Zombie, Ghoul, Zombie Master
+		short summon4[5]={ 3216, 3217, 3218, 3219, 3220 }; // Mummy, Ancient Mummy
+		short summon5[5]={ 3221, 3222, 3223, 3224, 3225 }; // Whisper, Nightmare, Nightmare Terror
+		short summon6[5]={ 3226, 3227, 3228, 3229, 3230 }; // Injustice, Raydric, Dullahan
+		short summon7[5]={ 3231, 3232, 3233, 3234, 3235 }; // Wraith, Wraith Dead
+		int maxcount = skill_get_maxcount(skill,lv);
+		int count = 0;
+		switch( skill )
+		{
+		case NC_SKELETON: count = mob_countslave_class(&sd->bl, 5, summon1); break;
+		case NC_ARCHER: count = mob_countslave_class(&sd->bl, 5, summon2); break;
+		case NC_ZOMBIE: count = mob_countslave_class(&sd->bl, 5, summon3); break;
+		case NC_MUMMY: count = mob_countslave_class(&sd->bl, 5, summon4); break;
+		case NC_GHOST: count = mob_countslave_class(&sd->bl, 5, summon5); break;
+		case NC_SHADOW: count = mob_countslave_class(&sd->bl, 5, summon6); break;
+		case NC_WRAITH: count = mob_countslave_class(&sd->bl, 5, summon7); break;
+		}
+		if( count >= maxcount )
+		{
+		clif_skill_fail(sd,skill,0,0);
+		return 0;
+		}
+	}
+	break;
+
+=======
 		//Custom Jobs (blackmagic)	
 	case AD_FAMILIAR: //Adept Familiar [Flavio]
@@ -8519,4 +9204,5 @@
 		break;
 		//Custom Job End
+>>>>>>> .r18
 	case WZ_FIREPILLAR: // celest
 		if (lv <= 5)	// no gems required at level 1-5
@@ -8527,5 +9213,5 @@
 		if(!(sc && sc->data[SC_SMA]))
 			return 0;
-		break;	
+		break;
 
 	case HT_POWER:
@@ -8579,5 +9265,5 @@
 					clif_skill_fail(sd,skill,0,0);
 					return 0;
-				}	
+				}
 			}
 		}
@@ -8631,5 +9317,5 @@
 		//Only invoke on skill begin cast (instant cast skill). [Kevin]
 		if(sp>0 && !type)
-		{ 
+		{
 			if (status->sp < (unsigned int)sp)
 				clif_skill_fail(sd,skill,1,0);
@@ -8657,5 +9343,5 @@
 		}
 		break;
-	
+
 	case NJ_ISSEN:
 		if (status->hp < 2) {
@@ -8669,5 +9355,5 @@
 	  	}
 		break;
-	
+
 	case NJ_ZENYNAGE:
 		if(sd->status.zeny < zeny) {
@@ -8699,10 +9385,10 @@
 
 	if(!(type&2)){
-		if( hp>0 && status->hp <= (unsigned int)hp) {				/* HPãã§ãE¯ */
-			clif_skill_fail(sd,skill,2,0);		/* HPäžè¶³Eå€±æéç¥ */
+		if( hp>0 && status->hp <= (unsigned int)hp) {				/* HPãã§ãã¯ */
+			clif_skill_fail(sd,skill,2,0);		/* HPäžè¶³ïŒå€±æéç¥ */
 			return 0;
 		}
-		if( sp>0 && status->sp < (unsigned int)sp) {				/* SPãã§ãE¯ */
-			clif_skill_fail(sd,skill,1,0);		/* SPäžè¶³Eå€±æéç¥ */
+		if( sp>0 && status->sp < (unsigned int)sp) {				/* SPãã§ãã¯ */
+			clif_skill_fail(sd,skill,1,0);		/* SPäžè¶³ïŒå€±æéç¥ */
 			return 0;
 		}
@@ -8711,5 +9397,5 @@
 			return 0;
 		}
-	
+
 		if(weapon && !pc_check_weapontype(sd,weapon)) {
 			clif_skill_fail(sd,skill,6,0);
@@ -8807,5 +9493,5 @@
 		if (sc && sc->data[SC_COMBO] && sc->data[SC_COMBO]->val1 == skill)
 			sd->ud.canmove_tick = gettick(); //When using a combo, cancel the can't move delay to enable the skill. [Skotlex]
-			
+
 		if (!unit_can_move(&sd->bl)) {
 			clif_skill_fail(sd,skill,0,0);
@@ -8898,10 +9584,10 @@
 int skill_castfix (struct block_list *bl, int skill_id, int skill_lv)
 {
-	int time = skill_get_cast(skill_id, skill_lv);	
+	int time = skill_get_cast(skill_id, skill_lv);
 	struct map_session_data *sd;
 
 	nullpo_retr(0, bl);
 	sd = BL_CAST(BL_PC, bl);
-	
+
 	// calculate base cast time (reduced by dex)
 	if (!(skill_get_castnodex(skill_id, skill_lv)&1)) {
@@ -8951,4 +9637,14 @@
 			status_change_end(bl, SC_SUFFRAGIUM, -1);
 		}
+<<<<<<< .mine
+	if (sc->data[SC_DECREPIFY]) // Necro Decrepify [Brain]
+		if(sc->data[SC_DECREPIFY]->val2>=3)
+		time += time * 25/100; //+25% cast time
+	if (sc->data[SC_CURSETONGUES]) { //Warlock Curse of Tongues [Brain]
+		time += time * sc->data[SC_CURSETONGUES]->val2 / 100;
+		status_change_end(bl, SC_CURSETONGUES, -1);
+	}
+
+=======
 		//Custom Jobs (blackmagic)
 		
@@ -8962,4 +9658,5 @@
 		
 		//Custom Job End
+>>>>>>> .r18
 		if (sc->data[SC_MEMORIZE]) {
 			time>>=1;
@@ -8980,5 +9677,5 @@
 	int delaynodex = skill_get_delaynodex(skill_id, skill_lv);
 	int time = skill_get_delay(skill_id, skill_lv);
-	
+
 	nullpo_retr(0, bl);
 
@@ -8987,5 +9684,5 @@
 
 	if (bl->type&battle_config.no_skill_delay)
-		return battle_config.min_skill_delay_limit; 
+		return battle_config.min_skill_delay_limit;
 
 	if (time < 0)
@@ -9004,5 +9701,5 @@
 	default:
 		if (battle_config.delay_dependon_dex && !(delaynodex&1))
-		{	// if skill delay is allowed to be reduced by dex 
+		{	// if skill delay is allowed to be reduced by dex
 			int scale = battle_config.castrate_dex_scale - status_get_dex(bl);
 			if (scale > 0)
@@ -9012,5 +9709,5 @@
 		}
 		if (battle_config.delay_dependon_agi && !(delaynodex&1))
-		{	// if skill delay is allowed to be reduced by agi 
+		{	// if skill delay is allowed to be reduced by agi
 			int scale = battle_config.castrate_dex_scale - status_get_agi(bl);
 			if (scale > 0)
@@ -9056,5 +9753,5 @@
 
 /*=========================================
- * 
+ *
  *-----------------------------------------*/
 void skill_brandishspear_first (struct square *tc, int dir, int x, int y)
@@ -9580,5 +10277,5 @@
 	return count;
 }
-	
+
 /*==========================================
  * Returns the first element field found [Skotlex]
@@ -9734,5 +10431,5 @@
 
 /*==========================================
- * 
+ *
  *------------------------------------------*/
 int skill_chastle_mob_changetarget(struct block_list *bl,va_list ap)
@@ -9767,5 +10464,5 @@
 	unit = (struct skill_unit *)src;
 	tick = va_arg(ap,int);
-	
+
 	nullpo_retr(0, sg = unit->group);
 	nullpo_retr(0, ss = map_id2bl(sg->src_id));
@@ -9777,5 +10474,5 @@
 		case UNT_SHOCKWAVE:
 		case UNT_SANDMAN:
-		case UNT_FLASHER:        
+		case UNT_FLASHER:
 			skill_additional_effect(ss,bl,sg->skill_id,sg->skill_lv,BF_MISC,tick);
 			break;
@@ -9823,5 +10520,5 @@
 		if (type != scs[i] && sc->data[scs[i]])
 			status_change_end(bl, scs[i], -1);
-		
+
 	return 0;
 }
@@ -9841,5 +10538,5 @@
 			wall = false;
 	}
-		
+
 	if( sce )
 	{
@@ -9884,8 +10581,8 @@
 	if(!sc->count || !(sce=sc->data[SC_DANCING]))
 		return;
-	
+
 	group = (struct skill_unit_group *)sce->val2;
 	sce->val2 = 0;
-	
+
 	if (sce->val4)
 	{
@@ -10021,5 +10718,5 @@
 	nullpo_retr(NULL, src);
 	nullpo_retr(NULL, ud);
-	
+
 	// find a free spot to store the new unit group
 	ARR_FIND( 0, MAX_SKILLUNITGROUP, i, ud->skillunit[i] == NULL );
@@ -10081,8 +10778,8 @@
 
 	if (!src) src=map_id2bl(group->src_id);
-	ud = unit_bl2ud(src);	
+	ud = unit_bl2ud(src);
 	if(!src || !ud) {
 		ShowError("skill_delunitgroup: Group's source not found! (src_id: %d skill_id: %d)\n", group->src_id, group->skill_id);
-		return 0;	
+		return 0;
 	}
 	if (skill_get_unit_flag(group->skill_id)&(UF_DANCE|UF_SONG|UF_ENSEMBLE))
@@ -10180,5 +10877,5 @@
 	if (group->interval==-1)
 		return NULL;
-	
+
 	ud = unit_bl2ud(bl);
 	if (!ud) return NULL;
@@ -10422,7 +11119,7 @@
 	int skill_id;
 	int i;
-	
+
 	nullpo_retr(0, group);
-	
+
 	if( !unit->alive || target->prev == NULL )
 		return 0;
@@ -10503,5 +11200,5 @@
 		//cells do not get deleted within them. [Skotlex]
 		if( dissonance ) skill_dance_switch(unit, 1);
-			
+
 		if( flag&4 )
 			skill_unit_onleft(skill_id,target,tick);
@@ -10530,5 +11227,5 @@
 		memset(skill_unit_temp, 0, sizeof(skill_unit_temp));
 	}
-		
+
 	map_foreachincell(skill_unit_move_sub,bl->m,bl->x,bl->y,BL_SKILL,bl,tick,flag);
 
@@ -10708,8 +11405,8 @@
 	if (qty < 1)
 		qty = 1;
-	
+
 	if (!skill_id) //A skill can be specified for some override cases.
 		skill_id = skill_produce_db[idx].req_skill;
-	
+
 	slot[0]=slot1;
 	slot[1]=slot2;
@@ -10859,5 +11556,5 @@
 	if(make_per < 1) make_per = 1;
 
-	
+
 	if(rand()%10000 < make_per || qty > 1){ //Success, or crafting multiple items.
 		struct item tmp_item;
@@ -10930,5 +11627,5 @@
 						skill_id != AM_TWILIGHT2 &&
 						skill_id != AM_TWILIGHT3)
-						continue;						
+						continue;
 					//Add fame as needed.
 					switch(++sd->potion_success_counter) {
@@ -10983,5 +11680,5 @@
 		}
 	}
-	//Failure	
+	//Failure
 //	if(log_config.produce)
 //		log_produce(sd,nameid,slot1,slot2,slot3,0);
@@ -11069,5 +11766,5 @@
 		return 0;
 	if (sd) sd->blockskill[data] = 0;
-	
+
 	return 1;
 }
@@ -11096,5 +11793,5 @@
 		return 0;
 	if (hd) hd->blockskill[data] = 0;
-	
+
 	return 1;
 }
@@ -11103,5 +11800,5 @@
 {
 	nullpo_retr (-1, hd);
-	
+
 	skillid = skill_get_index(skillid);
 	if (skillid == 0)
@@ -11163,8 +11860,8 @@
 			if ((val[j]-val[j-step]) != diff)
 				break;
-	
+
 		if (j>=step) //No match, try next step.
 			continue;
-		
+
 		for(; i < MAX_SKILL_LEVEL; i++)
 		{	//Apply linear increase
@@ -11363,6 +12060,6 @@
 				memcpy(skill_unit_layout[pos].dy,dy,sizeof(dy));
 			} else {
-				int dx[] = { 1, 1 ,0, 0,-1}; 
-				int dy[] = { 1, 0, 0,-1,-1}; 
+				int dx[] = { 1, 1 ,0, 0,-1};
+				int dy[] = { 1, 0, 0,-1,-1};
 				memcpy(skill_unit_layout[pos].dx,dx,sizeof(dx));
 				memcpy(skill_unit_layout[pos].dy,dy,sizeof(dy));
@@ -11394,6 +12091,6 @@
 				memcpy(skill_unit_layout[pos].dy,dy,sizeof(dy));
 			} else {
-				int dx[] = { 2, 1 ,0,-1,-2}; 
-				int dy[] = { 2, 1, 0,-1,-2}; 
+				int dx[] = { 2, 1 ,0,-1,-2};
+				int dy[] = { 2, 1, 0,-1,-2};
 				memcpy(skill_unit_layout[pos].dx,dx,sizeof(dx));
 				memcpy(skill_unit_layout[pos].dy,dy,sizeof(dy));
@@ -11424,5 +12121,5 @@
  * skill_nocast_db.txt
  * skill_unit_db.txt
- * produce_db.txt 
+ * produce_db.txt
  * create_arrow_db.txt
  * abra_db.txt
@@ -11493,5 +12190,5 @@
 	skill_split_atoi(split[5],skill_db[i].sp_rate);
 	skill_split_atoi(split[6],skill_db[i].zeny);
-	
+
 	//FIXME: document this
 	p = split[7];
@@ -11511,5 +12208,5 @@
 		p++;
 	}
-	
+
 	//FIXME: document this
 	p = split[8];
@@ -11545,5 +12242,5 @@
 	else if( strcmpi(split[10],"water")==0 ) skill_db[i].state = ST_WATER;
 	else skill_db[i].state = ST_NONE;
-	
+
 	skill_split_atoi(split[11],skill_db[i].spiritball);
 	for( j = 0; j < 10; j++ ) {
@@ -11561,5 +12258,5 @@
 	if( !i ) // invalid skill id
 		return false;
-	
+
 	skill_split_atoi(split[1],skill_db[i].cast);
 	skill_split_atoi(split[2],skill_db[i].delay);
@@ -11577,5 +12274,5 @@
 	if( !i ) // invalid skill id
 		return false;
-	
+
 	skill_split_atoi(split[1],skill_db[i].castnodex);
 	if( split[2] ) // optional column
@@ -11603,5 +12300,5 @@
 	if( !i ) // invalid skill id
 		return false;
-	
+
 	skill_db[i].unit_id[0] = strtol(split[1],NULL,16);
 	skill_db[i].unit_id[1] = strtol(split[2],NULL,16);
@@ -11649,5 +12346,5 @@
 	skill_produce_db[current].req_skill = atoi(split[2]);
 	skill_produce_db[current].req_skill_lv = atoi(split[3]);
-	
+
 	for( x = 4, y = 0; x+1 < columns && split[x] && split[x+1] && y < MAX_PRODUCE_RESOURCE; x += 2, y++ )
 	{
@@ -11668,5 +12365,5 @@
 
 	skill_arrow_db[current].nameid = i;
-	
+
 	for( x = 1, y = 0; x+1 < columns && split[x] && split[x+1] && y < MAX_ARROW_RESOURCE; x += 2, y++ )
 	{
@@ -11707,5 +12404,5 @@
 	memset(skill_arrow_db,0,sizeof(skill_arrow_db));
 	memset(skill_abra_db,0,sizeof(skill_abra_db));
-	
+
 	// load skill databases
 	safestrncpy(skill_db[0].name, "UNKNOWN_SKILL", sizeof(skill_db[0].name));
@@ -11735,8 +12432,8 @@
 	skilldb_name2id = strdb_alloc(DB_OPT_DUP_KEY, 0);
 	skill_readdb();
-	
+
 	skill_unit_ers = ers_new(sizeof(struct skill_unit_group));
 	skill_timer_ers  = ers_new(sizeof(struct skill_timerskill));
-	
+
 	add_timer_func_list(skill_unit_timer,"skill_unit_timer");
 	add_timer_func_list(skill_castend_id,"skill_castend_id");
@@ -11744,5 +12441,5 @@
 	add_timer_func_list(skill_timerskill,"skill_timerskill");
 	add_timer_func_list(skill_blockpc_end, "skill_blockpc_end");
-	
+
 	add_timer_interval(gettick()+SKILLUNITTIMER_INTERVAL,skill_unit_timer,0,0,SKILLUNITTIMER_INTERVAL);
 
@@ -11757,4 +12454,44 @@
 	return 0;
 }
+<<<<<<< .mine
+
+int skill_additem(struct block_list* src, struct block_list *bl, int itemid, int amount)// ITEM GIVER [Brain]
+{
+	struct map_session_data *sd = NULL, *tsd = NULL;
+
+	nullpo_retr(1, src);
+	nullpo_retr(1, bl);
+
+	if (src->m != bl->m)
+	return 1;
+	if (bl->prev == NULL)
+	return 1;
+	if (src->type == BL_PC)
+	sd = (struct map_session_data *)src;
+	if (bl->type == BL_PC)
+	tsd = (struct map_session_data *)bl;
+	if (status_isdead(bl))
+	return 1;
+
+	int eflag;
+	struct item item_tmp;
+	struct block_list tbl;
+
+	memset(&item_tmp,0,sizeof(item_tmp));
+	memset(&tbl,0,sizeof(tbl));
+
+	item_tmp.nameid = itemid;
+	item_tmp.identify = 1;
+	tbl.id = 0;
+
+	clif_takeitem(&sd->bl,&tbl);
+	eflag = pc_additem(sd,&item_tmp,amount);
+	if(eflag) {
+	clif_additem(sd,0,0,eflag);
+	map_addflooritem(&item_tmp,amount,sd->bl.m,sd->bl.x,sd->bl.y,0,0,0,0);
+	}
+	return 0;
+}
+=======
 //Custom Jobs (blackmagic)
 int skill_additem(struct block_list* src, struct block_list *bl, int itemid, int amount)// ITEM GIVER [Brain]
@@ -11795,3 +12532,3 @@
 	return 0;
 }
-//Custom Job End
+//Custom Job End>>>>>>> .r18
Index: /src/map/unit.c
===================================================================
--- /src/map/unit.c (revision 13)
+++ /src/map/unit.c (revision 19)
@@ -379,4 +379,8 @@
 		unit_escape(bl, tbl, 15);
 	//Custom Job End
+
+	if (sc && sc->data[SC_FEAR]) //Flee from my target [Brainstorm]
+	unit_escape(bl, tbl, 15);
+
 
 	if(ud->walktimer != -1) {
Index: /src/map/battle.h
===================================================================
--- /src/map/battle.h (revision 5)
+++ /src/map/battle.h (revision 19)
@@ -88,7 +88,5 @@
 
 int battle_check_undead(int race,int element);
-//Begin Custom Job (blackmagic)
 int battle_check_living(int race,int element);	//Living Creature Check [Brain]
-//End Custom Job (blackmagic)
 int battle_check_target(struct block_list *src, struct block_list *target,int flag);
 bool battle_check_range(struct block_list *src,struct block_list *bl,int range);
@@ -455,9 +453,7 @@
 	int auction_feeperhour;
 	int auction_maximumprice;
-	//Begin custom Job (blackmagic)	
 	//Vanaheim battle settings [Brainstorm]
 	int necro_retaliation; //Battle flag to force monsters to attack adept/necro/warlock summons [Brain]
 	int disp_summon_stats; //Battle Flag to show summoned monster stats [Brain]
-	//end custom job
 	int gm_viewequip_min_lv;
 } battle_config;
